Subject: Re: [PATCH] Use exit 1 instead of die when req_Root fails.

From: Frank Lichtenheld <[email-masked]>
Date: Wed, 17 Oct 2007 21:08:23 +0200

On Wed, Oct 17, 2007 at 10:39:52AM -0400, Morten Welinder wrote:
> >  made it into your repo.  It fixes test failures on my machine that have
> >  been plauging me for months.
> 
> That sounds more like a reason to fix the test.  "die" is the perl
> standard way of
> reporting an error.  It will print the error message on stderr, not on
> stdout like
> your version does.

Please note that git-cvsserver is special in that its output will never
be displayed directly to the user but is always interpreted first by
the client. So print "E something" is acutally in some cases more
correct than print STDERR something.

Gruesse,
-- 
Frank Lichtenheld <[email-masked]>
www: http://www.djpig.de/